Победить конфликт jQuery на WordPress

Цена договорная • электронные деньги
19 мая 2019, 12:21 • 12 откликов • 54 просмотра
Я натягивал html шаблон на wordpress последней версии и столкнулся с проблемой.
Шаблон работает на jquery-1.8.3.min и все скрипты сайта заточены под него. У меня появилась необходимость установить плагин popup maker, но к сожалению он не работает на jquery-1.8.3.min так как там другой синтаксис в 1.8.3 jQuery('a[href=#]'); а для плагина нужно jQuery('a[href="#"]'); . Устанавливая свежий jQuery у меня отключаются скрипты плавающего меню, счётчика и слайдера. Как решить данную проблему я не знаю. Шаблон и скрипты писались не для wp а для bitrix по этому возможно js скрипты не оптимизированы, а я в этом вообще не разбираюсь.


Задача: Заставить работать popup maker совместно с другими скриптами на сайте ( плавающее меню, флексслайдер, счётчик, меню мобильной версии, скролл вверх и тд) Вот сайт
Отзывы
R50 c37d3ac4d9b9b7dd719005cff544ffbf
Заказчик
Хороший специалист, сделал то что 2е фрилансеров до него сделать не смогли и потратили 3 дня моего времени. Всем советую.
3 года назад